curl --location --request POST 'https://api.stateset.com/v1/returns/:id/restock' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
"warehouse_id": "wh_east_01",
"location_id": "loc_a1_shelf_3",
"condition_code": "new",
"quantity": 1,
"restocking_fee_applied": true
}'
{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
"object": "return",
"restocked": true,
"inventory_adjustment_id": "inv_adj_456",
"new_inventory_level": 150,
"warehouse_id": "wh_east_01",
"location_id": "loc_a1_shelf_3",
"condition_code": "new",
"restocked_at": "2024-01-15T11:00:00Z"
}
This endpoint restocks a returned item back into inventory.
curl --location --request POST 'https://api.stateset.com/v1/returns/:id/restock' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
"warehouse_id": "wh_east_01",
"location_id": "loc_a1_shelf_3",
"condition_code": "new",
"quantity": 1,
"restocking_fee_applied": true
}'
{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
"object": "return",
"restocked": true,
"inventory_adjustment_id": "inv_adj_456",
"new_inventory_level": 150,
"warehouse_id": "wh_east_01",
"location_id": "loc_a1_shelf_3",
"condition_code": "new",
"restocked_at": "2024-01-15T11:00:00Z"
}
curl --location --request POST 'https://api.stateset.com/v1/returns/:id/restock' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
"warehouse_id": "wh_east_01",
"location_id": "loc_a1_shelf_3",
"condition_code": "new",
"quantity": 1,
"restocking_fee_applied": true
}'
{
"id": "rt_1NXWPnCo6bFb1KQto6C8OWvE",
"object": "return",
"restocked": true,
"inventory_adjustment_id": "inv_adj_456",
"new_inventory_level": 150,
"warehouse_id": "wh_east_01",
"location_id": "loc_a1_shelf_3",
"condition_code": "new",
"restocked_at": "2024-01-15T11:00:00Z"
}